<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--
IGAC proyecto SNC

@author 		christian-rodriguez
@description  	página para consultar las ordenes de practica asociadas a una redicación (solicitud)
@MB 			ConsultaOrdenesPracticaPorRadicacionMB
@CU				CU-SA-AC-112 - Consultar ordenes de practica por radicación
@version  		2.0

-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        id="consultarOrdenesPracticaRadicacionForm">

    <p:spacer height="5" />

    <p:fieldset>

        <p:focus />
        <p:messages id="msgsCOPPR" showDetail="false" globalOnly="false" />

        <h:panelGrid columns="2" cellspacing="7">
            <h:outputLabel value="Radicado No.:" styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          value="#{consultarOrdenesPracticaRad.radicacion}">
            </h:outputText>
        </h:panelGrid>

        <p:spacer height="5" />

        <h:panelGrid columns="1" cellspacing="7" width="100%">
            <p:dataTable
                value="#{consultarOrdenesPracticaRad.asignacionesSolicitud}"
                var="asignacion" paginatorPosition="bottom" paginator="true"
                rows="5"
                paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} 
                {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                emptyMessage="No hay tramites con orden de práctica asociada al radicado seleccionado.">

                <f:facet name="header">
                    Trámites y ordenes de práctica  de la radicación
                </f:facet>

                <p:column headerText="Información predial">
                    <p:commandButton title="Información de los predios del avalúo"
                                     icon="ui-icon-home"
                                     action="#{consultaInformacionPredial.cargarInformacionPredial}"
                                     update=":prediosAvaluoForm,
                                     :consultarOrdenesPracticaRadicacionForm:msgsCOPPR"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide();
                                     handleCompleteSIC(xhr, status, args, infoPredialWV, true);">
                        <f:setPropertyActionListener value="#{asignacion.avaluo}"
                                                     target="#{consultaInformacionPredial.avaluoSeleccionado}" />
                    </p:commandButton>
                </p:column>

                <p:column headerText="Sec_Radicado">
                    <p:commandLink styleClass="commandLinkStyle"
                                   action="#{consultaInformacionSolicitud.consultarSecRadicado}"
                                   update=":isCC:infoSolicitudTV" onstart="statusDialog2.show();"
                                   oncomplete="infoSolicitudCCWV.show(); statusDialog2.hide()"
                                   value="#{asignacion.avaluo.secRadicado}" immediate="true">
                        <f:setPropertyActionListener
                            value="#{convocarComiteRegistrarActa.avaluo.secRadicado}"
                            target="#{consultaInformacionSolicitud.numeroSecRadicado}" />
                    </p:commandLink>
                </p:column>

                <p:column headerText="Departamento">
                    <p:commandLink
                        value="#{asignacion.avaluo.avaluoPredios[0].departamento.nombre}"
                        rendered="#{asignacion.avaluo.tienePrediosEnDiferentesDeptos}"
                        styleClass="commandLinkStyle"
                        action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                        update=":consultarDepartamentosMunicipioForm,
                        :consultarOrdenesPracticaRadicacionForm:msgsCOPPR"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide();
                        infoDeptosMunisWV.show()">
                        <f:setPropertyActionListener value="#{asignacion.avaluo}"
                                                     target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                    </p:commandLink>

                    <h:outputText
                        rendered="#{!asignacion.avaluo.tienePrediosEnDiferentesDeptos}"
                        value="#{asignacion.avaluo.avaluoPredios[0].departamento.codigo} - #{asignacion.avaluo.avaluoPredios[0].departamento.nombre}" />
                </p:column>

                <p:column headerText="Municipio">
                    <p:commandLink
                        value="#{asignacion.avaluo.avaluoPredios[0].municipio.nombre}"
                        rendered="#{asignacion.avaluo.tienePrediosEnDiferentesMunicipios}"
                        styleClass="commandLinkStyle"
                        action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                        update=":consultarDepartamentosMunicipioForm,
                        :consultarOrdenesPracticaRadicacionForm:msgsCOPPR"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide();
                        infoDeptosMunisWV.show()">
                        <f:setPropertyActionListener value="#{asignacion.avaluo}"
                                                     target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                    </p:commandLink>

                    <h:outputText
                        rendered="#{!asignacion.avaluo.tienePrediosEnDiferentesMunicipios}"
                        value="#{asignacion.avaluo.avaluoPredios[0].municipio.codigo} - #{asignacion.avaluo.avaluoPredios[0].municipio.nombre}" />
                </p:column>

                <p:column headerText="Orde de práctica No.">
                    <h:outputText value="#{asignacion.ordenPractica.numero}" />
                </p:column>

                <p:column headerText="Fecha orden de práctica">
                    <h:outputText value="#{asignacion.ordenPractica.fecha}">
                        <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Nombre profesional">
                    <h:outputText
                        value="#{asignacion.profesionalAvaluo.nombreCompleto}" />
                </p:column>

                <p:column headerText="Días de entrega">
                    <h:outputText value="#{asignacion.avaluo.plazoEjecucion}" />
                </p:column>

                <p:column headerText="Documento">
                    <p:commandLink
                        action="#{consultarOrdenesPracticaRad.cargarDocumentoOrdenPractica}"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide(); 
                        handleCompleteSIC(xhr, status, args, memorandoWV, true);"
                        update=":viewMemo:vistaMemoForm,
                        :consultarOrdenesPracticaRadicacionForm:msgsCOPPR">
                        <h:outputText id="memorandoComisionParaAprobar"
                                      value="#{asignacion.ordenPractica.documentoId}"
                                      styleClass="commandLinkStyle" />
                        <f:setPropertyActionListener value="#{asignacion.ordenPractica}"
                                                     target="#{consultarOrdenesPracticaRad.ordenPracticaSeleccionada}" />
                    </p:commandLink>
                </p:column>

            </p:dataTable>
        </h:panelGrid>

    </p:fieldset>

    <p:spacer height="5" />

</h:form>